package org.springframework.social.twitter.api;

/**
 * Represents the cursor metadata associated with a search query via the Twitter Search API.
 * @author Jeremy Appel
 */
public class SearchMetadata {
	
	private final long max_id;	
	private final long since_id;
	
	public SearchMetadata(long max_id, long since_id) {
		this.max_id = max_id;
		this.since_id = since_id;
	}

	public long getMaxId() {
		return max_id;
	}

	public long getSinceId() {
		return since_id;
	}


}
